# Introduction

## What is Kedro?

Kedro is an open source development workflow tool that helps structure reproducible, scaleable, deployable, robust and versioned data pipelines. It is applicable to a wide range of projects, from single user projects running on a local environment, when you want to have an organised way of working, to enterprise-level team projects, when your team needs to work in a structured way and reduce the effort required to take machine learning models into the production environment. For the source code, take a look at the [Kedro repository on Github](https://github.com/quantumblacklabs/kedro).

## Learning about Kedro

In the next few chapters, you will learn how to [install](../02_getting_started/01_prerequisites.md) and set up Kedro to build your own production-ready data pipelines.

Once you are set up, to get a feel for Kedro, we suggest working through our examples, including an entry-level ["Hello World"](../02_getting_started/04_hello_world.md) and a more detailed [Spaceflights](../03_tutorial/02_tutorial_template.md) tutorial. You will get hands-on experience and learn the basics of Kedro.

Advanced users looking for in-depth information should consult the [User Guide](../04_user_guide/03_configuration.md).

You can also check out the resources section for answers to [frequently asked questions](../06_resources/01_faq.md) and the [API reference documentation](/kedro.rst) to find further information.

## Assumptions

We have designed the documentation in general, and the tutorial in particular, for beginners to get started creating their own Kedro projects in Python. If you have elementary knowledge using Python then you might find the Kedro learning curve more challenging.  However, we have simplified the tutorial by providing all Python functions required to create your data pipelines.

>
> *Note:* There are a number of excellent online resources for learning Python, but be aware that you should choose those that reference Python 3, as Kedro is built for Python 3.5+. There are many curated lists of online resources, such as:
>
> - [Official Python programming language website](https://www.python.org/)
> - [List of free programming books and tutorials](https://github.com/EbookFoundation/free-programming-books/blob/master/free-programming-books.md#python)
